package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxSubBusiness;

import java.util.List;

public interface WxSubBusinessService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxSubBusiness> listAsPage(WxSubBusiness record, Integer pageIndex, Integer pageSize);

	/**
	 * 根据实体查询列表
	 *
	 * @param record
	 * @return
	 */
	List<WxSubBusiness> findList(WxSubBusiness record);

	/**
	 * 查询全部列表
	 *
	 * @return
	 */
	List<WxSubBusiness> findListAll();
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
	WxSubBusiness getById(Integer id);


}
